<?php 
	
	// On commence par récupérer les champs 
	if (isset($_POST['NomLieu'])) {      
		$nom = addslashes($_POST['NomLieu']);
	}
	else {
		$nom = "";
	}
	
	if (isset($_POST['Type'])) {
		$type = addslashes($_POST['Type']);
	}
	else {
		$type = "";
	}

	if (isset($_POST['MiniDescription'])) {
		$minidesc = addslashes($_POST['MiniDescription']);
	}
	else {
		$minidesc = "";
	}

	if (isset($_POST['Description'])) {
		$desc = addslashes($_POST['Description']);
	}
	else {
		$desc = "";
	}

	if (isset($_POST['AccesAveugle'])) {
		$accblind = $_POST['AccesAveugle'];
	}
	else {
		$accblind = "";
	}

	if (isset($_POST['AccesHandicapeMoteur'])) {
		$accdisabled = $_POST['AccesHandicapeMoteur'];
	}
	else {
		$accdisabled = "";
	}

	if (isset($_POST['Numero'])) {
		$numAddr = addslashes($_POST['Numero']);
	}
	else {
		$numAddr = "";
	}

	if (isset($_POST['Adresse'])) {
		$add = addslashes($_POST['Adresse']);
	}
	else {
		$add = "";
	}	

	if (isset($_POST['CodePostal'])) {
		$cp = addslashes($_POST['CodePostal']);
	}
	else {
		$cp = "";
	}

	if (isset($_POST['Ville'])) {
		$ville = addslashes($_POST['Ville']);
	}
	else {
		$ville = "";
	}

	if (isset($_POST['Pays'])) {
		$pays = addslashes($_POST['Pays']);
	}
	else {
		$pays = "";
	}

	if (isset($_POST['Telephone'])) {
		$phone = addslashes($_POST['Telephone']);
	}
	else {
		$phone = "";
	}

	if (isset($_POST['Site'])) {
		$site = addslashes($_POST['Site']);
	}
	else {
		$site = "";
	}

	if (isset($_POST['MailContact'])) {
		$mail = addslashes($_POST['MailContact']);
	}
	else {
		$mail = "";
	}

	/* on va verifier toutes les petites erreurs histoire de savoir si l'utilisateur n'a pas
	** entré des conneries ou des choses incohérentes.
	*/
	
	$verif_url = strtolower($site); 
	$verif_url = substr("$verif_url", 0, 7); 
	if (!empty($site) && $verif_url != "http://") { 	// vérification du début de l'url
		// vérification du début de l'url 
		$verif_url = strtolower($site); 
		$verif_url = substr("$verif_url", 0, 7); 
		// on verifie les 7 premiers caractères 
		echo '<h2><font color="red">Le lien doit commencer par http://</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/ajouter_lieu/");
	}
	elseif (!empty($mail) && !filter_var($mail, FILTER_VALIDATE_EMAIL)) { 	// verification pour le mail
		echo '<h2><font color="red">Adresse email invalide !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/ajouter_lieu/");
	}
	elseif (!empty($phone) && !filter_var($phone, FILTER_VALIDATE_INT) && strlen($phone) != 10) { 	// verification pour le telephone
		echo '<h2><font color="red">Telephone invalide: 10 chiffres en commançant par 0 !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/ajouter_lieu/");
	}
	elseif (!empty($cp) && !filter_var($cp, FILTER_VALIDATE_INT)) { 	// verification pour le code postal
		echo '<h2><font color="red">Code postal invalide: 5 chiffres !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/ajouter_lieu/");
	}
	elseif (!empty($numAddr) && !filter_var($numAddr, FILTER_VALIDATE_INT)) { 	// verification pour le numero de l'adresse
		echo '<h2><font color="red">Numero adresse invalide !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/ajouter_lieu/");
	}
	else {
		// connexion à la base
		$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
		
		// sélection de la base  

		mysql_select_db('smartpass',$db)  or die('Erreur de selection '.mysql_error()); 
		 
		 
		$ip = $_SERVER['REMOTE_ADDR'];// on récupère l'ip
		
		// on écrit la requête sql 
		$sql = "INSERT INTO PointsVisibles(id, NomLieu, Type, MiniDescription, Description,
		 AccesAveugle, AccesHandicapeMoteur, Numero, Adresse, CodePostal, Ville, Pays,
		  Telephone, Site, MailContact, ip, date) VALUES('','$nom', '$type','$minidesc','$desc', '$accblind', '$accdisabled',
		  '$numAddr','$add','$cp','$ville','$pays','$phone','$site','$mail', '$ip', NOW())"; 
		 
		// on insère les informations du formulaire dans la table 
		mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 

		// on affiche le résultat pour le visiteur 
		echo '<h2><font color="red">Le lieu a correctement été ajouté</font></h2>'; 
		header("Refresh: 2; URL=http://smart-pass.fr/ajouter_lieu/");
		
		mysql_close();  // on ferme la connexion 
	}  
?>